/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Tventas;

import java.math.BigInteger;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class TventasFacade extends AbstractFacade<Tventas> implements TventasFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public TventasFacade() {
        super(Tventas.class);
    }

    @Override
    public Tventas FindTven(String productoCodigo, String sucursalCodigo) {
        Query q = em.createNamedQuery("Tventas.findByMultiple");
        q.setParameter("productoCodigo", productoCodigo);
        q.setParameter("sucursalCodigo", sucursalCodigo);

        Tventas rs = new Tventas();

        if (!q.getResultList().isEmpty()) {
            rs = (Tventas) q.getResultList().get(0);
        } else {
            rs.setCantidad(new BigInteger("0"));
        }
        return rs;
    }


}
